// JScript 文件

function checkNum()
				{
					if ( !(((window.event.keyCode >= 48) && (window.event.keyCode <= 57))|| (window.event.keyCode == 13)|| (window.event.keyCode == 46)))
					{
						window.event.keyCode = 0 ;alert('只能输入数字');
						return;
					}
				}
				
			
function CheckOthers(formname)
{
	var formcheck=document[formname];
 for (var i=0;i<formcheck.elements.length;i++)
 {
  var e = formcheck.elements[i];
//  if (e.name != 'chkall')
   if (e.checked==false)
   {
    e.checked = true;// form.chkall.checked;
   }
   else
   {
    e.checked = false;
   }
 }
}

function uncheckAll(formname) {
	var formcheck=document[formname];
for (var i = 0; i <formcheck.elements.length; i++) {
var e = formcheck.elements[i]; 
if (e.checked == true) e.checked = false;
   }
}

function CheckAll(formname)
{
	var formcheck=document[formname];
for (var i=0;i<formcheck.elements.length;i++)
 {
  var e = formcheck.elements[i];
//  if (e.name != 'chkall')
   e.checked = true// form.chkall.checked;
 }
}  

function checkClick(fn,bd,hd,hv){
    var Terms = document.getElementsByName(bd);
    var hidden = document[fn][hd];
    var isC = false;
    for(var i = 0;i < Terms.length;i++){
        if(Terms[i].checked){
            isC = true;
            break;
        }
    }
    if(isC == false){
        alert("您还没有选择数据！");
        return;
    }
    else{
        if(confirm("你确定执行该操作吗?")){
            hidden.value = hv;
            document[fn].submit();
        }
	}
} 
